Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 188223 - Only 1 breakpoint condition allowed - per file?
Only 1 breakpoint condition allowed - per file?
Status: VERIFIED FIXED
Product: debugger
Classification: Unclassified
Component: Code
6.x
Other Unix
: P1 (vote)
: 7.0
Assigned To: Martin Entlicher
issues@debugger
69patch1
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-30 03:28 UTC by cameldownunder
Modified: 2011-11-16 16:42 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description cameldownunder 2010-06-30 03:28:23 UTC
Product Version = NetBeans IDE 6.9 RC2 (Build 201005312001)
Operating System = Linux version 2.6.31-21-generic running on amd64
Java; VM; Vendor = 1.6.0_20
Runtime = Java HotSpot(TM) 64-Bit Server VM 16.3-b01

When placing two breakpoints in one file, it is not possible to have 2 different conditions inside the 2 breakpoints
Comment 1 Martin Entlicher 2010-07-01 09:12:49 UTC
It is possible to have different conditions, but the UI gives there the last used condition expression when properties are invoked. Internally the condition is set correctly.
Comment 2 Martin Entlicher 2010-07-02 06:34:06 UTC
Fixed in changeset:   173819:af0ecb40bcfc
http://hg.netbeans.org/main/rev/af0ecb40bcfc
As the fix is trivial and safe, and the bug is annoying, the fix should go to 6.9.1 IMHO.
Comment 3 Marian Mirilovic 2010-07-02 11:35:11 UTC
mryzl, please approve integration into release691, thanks in avdance.
Comment 4 Martin Ryzl 2010-07-02 12:03:37 UTC
ok, please merge it in 6.9.1
Comment 5 pgebauer 2010-07-02 12:36:42 UTC
The fix has been ported into the release691 branch.
http://hg.netbeans.org/release691/rev/25e1068b1c71
Comment 6 Quality Engineering 2010-07-03 03:56:00 UTC
Integrated into 'main-golden', will be available in build *201007030001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/af0ecb40bcfc
User: mentlicher@netbeans.org
Log: #188223 Assure that the condition field is set correctly.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo